Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234003 - -l option of opcontrol does not work as advertised
Summary: -l option of opcontrol does not work as advertised
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: oprofile
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Cohen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 16:09 UTC by Ulrich Drepper
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.9.3-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-08 14:42:51 UTC


Attachments (Terms of Use)
include the "-l" and "-d" short versions of user options (deleted)
2007-07-31 21:13 UTC, William Cohen
no flags Details | Diff
allows short from of --list-events (-l) and --dump (-d) for normal users (deleted)
2007-10-05 15:50 UTC, William Cohen
no flags Details | Diff

Description Ulrich Drepper 2007-03-26 16:09:19 UTC
Description of problem:
The --help message of opcontrol shows:

   -l/--list-events list event types and unit masks

But if I use -l as an unprivileged user I get

$  opcontrol -l
Normal users are limited to either '--dump' or '--list-events'.

This is even the case after running opcontrol --init.


Version-Release number of selected component (if applicable):
oprofile-0.9.2-3.fc7.x86_64

How reproducible:
Always

Steps to Reproduce:
1.run opcontrol --init as privileged user
2.as unprovileged user run opcontrol -l
3.
  
Actual results:
above message

Expected results:
list of events

Additional info:

Comment 1 William Cohen 2007-07-31 21:13:55 UTC
Created attachment 160361 [details]
include the "-l" and "-d" short versions of user options

The attached patch includes tests for the short versions of the "--dump" and
"--list-events" options. See about getting this correction in the upstream
oprofile.

Comment 2 William Cohen 2007-10-05 15:50:20 UTC
Created attachment 217651 [details]
allows short from of --list-events (-l) and --dump (-d) for normal users

The attached patchs has been email to the oprofile mailing list. Assuming this
goes into the upstream, it will be applied to the oprofile rawhide to close out
this problem.

Comment 3 William Cohen 2007-10-08 14:42:51 UTC
A patch has been put in the upstream oprofile to address this problem. The patch
has been backported to the fedora devel oprofile, oprofile-0_9_3-6_fc8.


Note You need to log in before you can comment on or make changes to this bug.